/* Existing styles from user */
.insights-archive {
    padding-top: 60px;
}

.insights-archive .two-column-wrapper {
    display: flex;
}

.insights-archive .two-column-wrapper .insights-archive-right,
.insights-archive .two-column-wrapper .insights-archive-left {
    flex: 1;
}
 
.insights-archive .insights-archive-right {
    flex: 1;
    display: flex;
    justify-content: flex-end;
    flex-direction: row;
    align-items: flex-start;
}

.insights-archive h3 {
    color: #00222B;;
    font-family: Termina;
    font-size: 40px;
    font-style: normal;
    font-weight: 400;
    line-height: 48px;
}

.insights-archive .custom-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 5px 20px;
    border: none;
    border-radius: 4.047px;
    background: #00222B;
    cursor: pointer;
    text-decoration: none!important;
    color: #EDE9E3;
    font-family: Poppins;
    font-size: 17.038px;
    font-style: normal;
    font-weight: 400;
    line-height: 20.446px;
    margin-top: 16px;
}

.insights-archive .custom-button:hover {
    background: #9CC5D3;
    color: #00222B;
}

.insights-archive .custom-button:hover .button-icon {
    transform: rotate(45deg);
    transition: transform 0.3s ease; 
}

.insights-archive .button-icon {
    width: 11.465px;
    height: 11.465px;
    object-fit: contain;
}

/* New Styles for Post Archive Layout */

/* Post Archive Container */
.insights-archive .posts-archive-container {
    display: flex;
    flex-direction: column;
    gap: 60px;
    margin-top: 60px;
}


.category-filter-mobile .category-filter-button, .category-filter-mobile .clear-filters {
    text-transform: uppercase;
}

/* Featured Post (Full Width) */
.insights-archive .featured-post {
    width: 100%;
    position: relative;
    border-radius: 8px;
    overflow: hidden;
}

.insights-archive .featured-post a {
    display: block;
    text-decoration: none;
}

.insights-archive .featured-post-image {
    width: 100%;
    height: 309px;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: flex-end;
    padding: 25px;
    color: white;
}

.insights-archive .featured-post h4 {
    color: #EDE9E3;
    font-family: Termina;
    font-size: 32px;
    font-style: normal;
    font-weight: 400;
    line-height: 38.4px;
    /* max-width: 403px; */
    margin: 0;
    margin-bottom: 10px;
}

.insights-archive .featured-post p {
    max-width: 350px;
    color: rgba(237, 233, 227, 0.75);
    font-family: Poppins;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 21.6px;
    margin: 0;
}

.insights-archive p.featured-post-date-author {
    color: rgba(216, 208, 195, 0.50);
    font-family: Poppins;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 16.8px;
    margin: 0;
    margin-bottom: 10px;
}

/* Post Meta */

.insights-archive .featured-post-meta {
    position: absolute;
    top: 30px;
}
.insights-archive .post-meta {
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
    position: absolute;
    bottom: 0;
    left: 25px;
}

.insights-archive .post-category {
    border-radius: 3px;
    background: #FFAE3B;
    padding: 4px 6px 2px 6px;
    color: #00222B;
    font-family: Poppins;
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: 16.9px;
    text-transform: uppercase;
}

.insights-archive .most-recent {
    border-radius: 3px;
    background: #9CC5D3;
    padding: 4px 6px 2px 6px;

    color: #00222B;
    font-family: Poppins;
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: 16.9px;
}

/* Grid Layout for Remaining Posts */
.insights-archive .posts-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

/* Individual Post Cards */
.insights-archive .post-card {
    overflow: hidden;
    color: white;
    margin-bottom: 60px;
}

.insights-archive .post-card a {
    text-decoration: none;
    color: inherit;
    display: block;
}


.insights-archive .post-image {
    width: 100%;
    height: 200px;
    background-size: cover;
    background-position: center;
    position: relative;
    border-radius: 6px;
}

.insights-archive .post-content {
    padding-top: 16px;
}

.insights-archive .post-content h6 {
    color: #00222B;
    font-family: Termina;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 1.35;
}

.insights-archive .post-content p {
    color: rgba(0, 34, 43, 0.75);
    font-family: Poppins;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 16.8px;
}

/* Ensure pagination is displayed horizontally */
.insights-archive .pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding: 0;
    list-style: none;
    color: #00222B;
    font-family: Termina;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
}

.insights-archive .pagination li {
    display: inline-block;
}

.insights-archive .pagination a,
.insights-archive .pagination span {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 8px 12px;
    border-radius: 8px;
    text-decoration: none;
    font-family: Termina;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
    color: #00222B;
    background-color: transparent;
    transition: background 0.3s, color 0.3s;
}

.insights-archive .pagination a:hover {
    background-color: #FFAE3B;
    color: #00222B;
}

.insights-archive .pagination .current {
    background-color: #FFAE3B;
    color: #00222B;

    font-family: Termina;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
}

.insights-archive .pagination .prev,
.insights-archive .pagination .next {
    font-size: 14px;
    color: #00222B;
}

.insights-archive .pagination .prev:hover,
.insights-archive .pagination .next:hover {
    color: #00222B;
}

.insights-archive .pagination .dots {
    padding: 8px 12px;
    color: #00222B;
}


 
.insights-archive .category-filter-mobile {
    display: flex !important;
    flex-wrap: wrap;
    padding-top: 30px;
    position: relative;
    gap: 10px;
    overflow: hidden;
    transition: max-height .5s linear;
    max-height: 200px;

}

.insights-archive .category-filter-mobile.hide  {
    max-height: 0;
}


.insights-archive .category-filter-mobile.hide img {
    transform: rotate(180deg);
    transition: all .5s linear;
}

.insights-archive.light-bg .category-filter-mobile img {
    display: none !important;
    filter: invert(1);
    transition: all .5s linear;
}


.insights-archive .category-filter-mobile img {
    position: absolute;
    top: 2px;
    right: 0;
}

.insights-archive .category-filter-mobile span {
    position: absolute;
    top: 0;
    left: 0;
    line-height: 1;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    font-family: 'Poppins';
}



.category-filter-mobile .category-filter-button,
.category-filter-mobile  .clear-filters {
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: 1;
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: 1;
    padding: 6px;
    min-height: unset;
    height: -webkit-fill-available;
    border-radius: 3px;
    margin-top: 2px;
    border-color: var(--ast-global-color-2);
    background-color: var(--ast-global-color-2);
    color: #EDE9E3;
    box-shadow: none;
    font-family: 'Poppins';
}

.category-filter-mobile .category-filter-button.active,
.category-filter-mobile  .clear-filters.active {
    background: #FFAE3B;
    background-color: #FFAE3B;
    color: var(--ast-global-color-2);
    font-family: 'Poppins';
}   



 

@media (max-width: 1024px) {
    .insights-archive .posts-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .insights-archive .posts-archive-container {
        gap: 20px;
        margin-top: 40px;
    }
    .insights-archive .posts-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .insights-archive .featured-post-image {
        height: 300px;
    }

    .insights-archive .pagination {
        flex-wrap: wrap;
    }

    .insights-archive {
        padding: 25px  30px;
    }

    .insights-archive-right {
        display: none !important;
    }

    .insights-archive h3 {
        color: #00222B;;
        font-family: Termina;
        font-size: 24px;
        font-style: normal;
        font-weight: 400;
        line-height: 28.8px;
    }

    .insights-archive .featured-post h4 {
        /* color: #00222B;*/
        font-family: Termina;
        font-size: 24px;
        font-style: normal;
        font-weight: 400;
        line-height: 28.8px;
    }

    .insights-archive .post-card {
        margin-bottom: 0;
        border-bottom: 1px solid #00222b69;
    }
    .insights-archive .posts-grid {
        gap: 20px;
    }

    .insights-archive .featured-post {
        border-bottom: 1px solid #00222b69;
        padding-bottom: 20px;
        border-radius: 0;
    }
    .insights-archive .featured-post a {
        border-radius: 8px;
        overflow: hidden;
    }
    .insights-archive .post-card:last-child {
        border-bottom: 0;
    }
}
 